## freetennis 0.4.8

=== Makefile ===
# add -noassert for speedup
all: freetennis.ml 
	ocamlopt   -I +camlimages  -I +lablGL -I +lablgtk2    -I +sdl -o freetennis  bigarray.cmxa sdl.cmxa lablgtk.cmxa lablgl.cmxa  ci_core.cmxa  sdlmixer.cmxa sdlttf.cmxa unix.cmxa freetennis.ml

=== debian/changelog ===
freetennis (0.4.8-14) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Fix compilation with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Add Multi-Arch: foreign to freetennis-common

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 17:30:41 +0100

freetennis (0.4.8-13) unstable; urgency=medium

  * Team upload
  * Do not link graphics.cma, as it does not seem to be needed

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 06:22:29 +0200

freetennis (0.4.8-12) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Add empty override_dh_dwz to prevent FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Aug 2020 16:56:47 +0200

freetennis (0.4.8-11) unstable; urgency=high

  * Team upload
  * Force rebuild of all packages on buildds
  * Update Vcs-*
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 11:54:21 +0200

freetennis (0.4.8-10) unstable; urgency=medium

  * Team upload
  * Build-depend on ocaml (for graphics library)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 10:02:11 +0200

freetennis (0.4.8-9) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control: update Vcs-* to point to git repository

  [ Mehdi Dogguy ]
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 03 Jan 2012 17:16:18 +0100

freetennis (0.4.8-8) unstable; urgency=low

  * Use dh-ocaml to compute dependencies automatically
  * Bump standards to 3.8.4
  * Update e-mail address and drop DMUA
  * Use 3.0 (quilt) format

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 22 Jun 2010 16:08:01 +0200

freetennis (0.4.8-7) unstable; urgency=low

  * Using .install files instead of copying by hand.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 23 Jun 2009 18:16:01 +0200

freetennis (0.4.8-6) unstable; urgency=low

  * Using make -j doesn't cause the package to FTBFS anymore, Closes: #483792.
  * Fix FTBFS: Add graphics.cmxa when compiling, Closes: #534043.
  * Drop 02_Makefile.dpatch and use debian/Makefile instead (Same content
    but easier to modify).
  * Bump standards version to 3.8.2, no changes needed.
  * Update packaging:
    - Switch packaging to git
    - Use « dh --with quilt » and bump compat to 7
    - Use quilt instead of dpatch
    - Add dh-ocaml as a build-dependency
    - Drop custom flag for non-native binaries and needed dependencies.
    - Drop useless build-dependency: libcamlimages-ocaml-dev
    - Fix copyright-refers-to-symlink-license
    - Move freetennis manpage and menu to correct sections
  * Fix menu-icon-too-big (reduced its size to 32×32)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 23 Jun 2009 11:08:47 +0200

freetennis (0.4.8-5) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Using -custom flag for bytecode binary, Closes: #471594.
    - Removing ocaml-base-nox dependency.
    - Not stripping bytecode executable because it's custom.
  * Updating manpage to have all freetennis options.
  * Enhance Makefile (more generic)
  * Setting Maintainer field to d-o-m, and myself as uploader.

  [ Samuel Mimram ]
  * Removed useless build-dep on libgdk-pixbuf2.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 08 May 2008 13:31:00 +0200

freetennis (0.4.8-4) unstable; urgency=low

  * debian/freetennis.8: Man page corrections.  Closes: #433519.  Patch by
    Andy Matteson <xt.knight@gmail.com>, thanks.
  * debian/freetennis.desktop: Added .desktop file.  Closes: #435435.  Patch
    by William Lima <wlima.amadeus@gmail.com>, thanks.
  * Fixed debian-rules-ignores-make-clean-error.
  * Fixed package-section-games-but-contains-no-game.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Mar 2008 10:24:27 +0100

freetennis (0.4.8-3) unstable; urgency=low

  * debian/control, debian/rules: Added missing dependency for architectures
    using the bytecode version of the program.  Closes: #408149.
  * debian/control: Replaced ${Source-Version} by ${source:Version}.
  * debian/copyright: Updated for year 2007.

 -- Bart Martens <bartm@knars.be>  Sat, 27 Jan 2007 07:37:58 +0100

freetennis (0.4.8-2) unstable; urgency=low

  * freetennis.ml, debian/*: Added separate binary package freetennis-common
    for architecture independent files.
  * Makefile, debian/rules, debian/control: Use ocamlopt or ocamlc.  Fixes
    FTBFS.  Closes: #377499.
  * debian/rules: No longer installing CHANGES.txt.

 -- Bart Martens <bartm@knars.be>  Sat, 22 Jul 2006 19:30:22 +0200

freetennis (0.4.8-1) unstable; urgency=low

  * Initial release.  Closes: #373957.

 -- Bart Martens <bartm@knars.be>  Fri, 16 Jun 2006 23:12:04 +0200

=== debian/control ===
Source: freetennis
Section: games
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 dh-ocaml,
 libsdl-ocaml-dev,
 libsdl-gfx1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-image1.2-dev,
 libsdl-ttf2.0-dev,
 liblablgl-ocaml-dev,
 liblablgtk2-ocaml-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/freetennis.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/freetennis
Homepage: http://freetennis.sourceforge.net/

Package: freetennis-common
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: Free Tennis - simulation game
 Free Tennis is a free software tennis simulation game.  The game can be played
 against an A.I. or human-vs-human via LAN or internet.
 .
 This package contains the architecture independent files.

Package: freetennis
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 freetennis-common (= ${source:Version})
Description: Free Tennis - simulation game
 Free Tennis is a free software tennis simulation game.  The game can be played
 against an A.I. or human-vs-human via LAN or internet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) -f debian/Makefile freetennis.$(OCAML_BEST)

override_dh_auto_clean:
	$(MAKE) -f debian/Makefile clean

override_dh_dwz:

=== debian/watch ===
version=3
http://sf.net/freetennis/freetennis-(.*)\.tar\.bz2
